<?php


namespace App\ViewModels\ClassificacaoRisco\ClassificacaoRiscoUpdateViewModel;


use App\Utils\Entity;

class ClassificacaoRiscoUpdateViewModel extends Entity
{
    protected $descricao;
    protected $id_unidade;
    protected $cor;
    protected $valor;
    protected $atualizado_em;
    protected $alterado_por;

    public static function builder() : ClassificacaoRiscoUpdateViewModelBuilder
    {
        $centro_custo_details_vm_builder = new ClassificacaoRiscoUpdateViewModelBuilder();
        return $centro_custo_details_vm_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getIdUnidade()
    {
        return $this->id_unidade;
    }

    /**
     * @param mixed $id_unidade
     */
    public function setIdUnidade($id_unidade): void
    {
        $this->id_unidade = $id_unidade;
    }

    /**
     * @return mixed
     */
    public function getCor()
    {
        return $this->cor;
    }

    /**
     * @param mixed $cor
     */
    public function setCor($cor): void
    {
        $this->cor = $cor;
    }

    /**
     * @return mixed
     */
    public function getValor()
    {
        return $this->valor;
    }

    /**
     * @param mixed $valor
     */
    public function setValor($valor): void
    {
        $this->valor = $valor;
    }

    /**
     * @return mixed
     */
    public function getAtualizadoEm()
    {
        return $this->atualizado_em;
    }

    /**
     * @param mixed $atualizado_em
     */
    public function setAtualizadoEm($atualizado_em): void
    {
        $this->atualizado_em = $atualizado_em;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

}